Package org.kapott.hbci.rewrite

# Class Rewrite

java.lang.Object
org.kapott.hbci.rewrite.Rewrite

Direct Known Subclasses:
  `RHBCIVersion`, `RInvalidSegment`, `RInvalidSuppHBCIVersion`, `RKUmsDelimiters`, `RKUmsEmptyBDateSets`, `RMissingMsgRef`, `RSecTypeTAN`, `RSigIdLeadingZero`, `RWrongSequenceNumbers`, `RWrongStatusSegOrder`

public abstract class Rewrite extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Rewrite()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`getData(String name)`
`String`
`incomingClearText(String st, MsgGen gen)`
`String`
`incomingCrypted(String st, MsgGen gen)`
`MSG`
`incomingData(MSG msg, MsgGen gen)`
`MSG`
`outgoingClearText(MSG msg, MsgGen gen)`
`MSG`
`outgoingCrypted(MSG msg, MsgGen gen)`
`MSG`
`outgoingSigned(MSG msg, MsgGen gen)`
`static void`
`setData(String name, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Rewrite

protected Rewrite()

## Method Details

### setData

public static void setData(String name, Object value)

### getData

public static Object getData(String name)

### outgoingClearText

public MSG outgoingClearText(MSG msg, MsgGen gen)

### outgoingSigned

public MSG outgoingSigned(MSG msg, MsgGen gen)

### outgoingCrypted

public MSG outgoingCrypted(MSG msg, MsgGen gen)

### incomingCrypted

public String incomingCrypted(String st, MsgGen gen)

### incomingClearText

public String incomingClearText(String st, MsgGen gen)

### incomingData

public MSG incomingData(MSG msg, MsgGen gen)